Bug 171827 - databases/mydumper lacks installation of "myloader"
Summary: databases/mydumper lacks installation of "myloader"
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Ruslan Makhmatkhanov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2012-09-20 23:50 UTC by Armin Gruner
Modified: 2012-09-22 08:28 UTC (History)
0 users

See Also:


Attachments
file.diff (564 bytes, patch)
2012-09-20 23:50 UTC, Armin Gruner
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Armin Gruner 2012-09-20 23:50:10 UTC
ports Makefile does not install "myloader" which is the opposite of "mydumper".
The second target exists since release 0.2.1 of mydumper.

Fix: See attached patch

Patch attached with submission follows:
How-To-Repeat: Install databases/mydumper from ports
Comment 1 Edwin Groothuis freebsd_committer 2012-09-20 23:50:24 UTC
Maintainer of databases/mydumper,

Please note that PR ports/171827 has just been submitted.

If it contains a patch for an upgrade, an enhancement or a bug fix
you agree on, reply to this email stating that you approve the patch
and a committer will take care of it.

The full text of the PR can be found at:
    http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171827

-- 
Edwin Groothuis via the GNATS Auto Assign Tool
edwin@FreeBSD.org
Comment 2 Edwin Groothuis freebsd_committer 2012-09-20 23:50:27 UTC
State Changed
From-To: open->feedback

Awaiting maintainers feedback (via the GNATS Auto Assign Tool)
Comment 3 gslin 2012-09-21 06:05:55 UTC
Thanks, please commit it and bump PORTREVISION.

On Thu, Sep 20, 2012 at 10:50:24PM +0000, Edwin Groothuis wrote:
> Maintainer of databases/mydumper,
> 
> Please note that PR ports/171827 has just been submitted.
> 
> If it contains a patch for an upgrade, an enhancement or a bug fix
> you agree on, reply to this email stating that you approve the patch
> and a committer will take care of it.
> 
> The full text of the PR can be found at:
>     http://www.freebsd.org/cgi/query-pr.cgi?pr=ports/171827
> 
> -- 
> Edwin Groothuis via the GNATS Auto Assign Tool
> edwin@FreeBSD.org

-- 
* Gea-Suan Lin  (public key: Using https://keyserver.pgp.com/ to search)
* If you cannot convince them, confuse them.           -- Harry S Truman
Comment 4 Ruslan Makhmatkhanov freebsd_committer 2012-09-22 08:09:36 UTC
Responsible Changed
From-To: freebsd-ports-bugs->rm

I will take it.
Comment 5 dfilter service freebsd_committer 2012-09-22 08:11:09 UTC
Author: rm
Date: Sat Sep 22 07:10:59 2012
New Revision: 304665
URL: http://svn.freebsd.org/changeset/ports/304665

Log:
  - install `myloader' binary too
  - bump PORTREVISION
  
  while here:
  - convert Makefile header to two-lines format
  - remove cmake from BUILD_DEPENDS, because it's implied by USE_CMAKE
  - tab -> space in pkg-descr
  
  PR:		171827
  Submitted by:	Armin Gruner <ag-freebsd at muc dot de>
  Approved by:	Gea-Suan Lin <gslin at gslin dot org> (maintainer)

Modified:
  head/databases/mydumper/Makefile
  head/databases/mydumper/pkg-descr

Modified: head/databases/mydumper/Makefile
==============================================================================
--- head/databases/mydumper/Makefile	Sat Sep 22 05:51:27 2012	(r304664)
+++ head/databases/mydumper/Makefile	Sat Sep 22 07:10:59 2012	(r304665)
@@ -1,12 +1,9 @@
-# New ports collection makefile for:	mydumper
-# Date created:		2009-03-04
-# Whom:			Gea-Suan Lin <gslin@gslin.org>
-#
+# Created by: Gea-Suan Lin <gslin@gslin.org>
 # $FreeBSD$
-#
 
 PORTNAME=	mydumper
 PORTVERSION=	0.5.1
+PORTREVISION=	1
 CATEGORIES=	databases
 MASTER_SITES=	http://code.launchpad.net/mydumper/${PORTVERSION:R}/${PORTVERSION}/+download/
 
@@ -15,13 +12,12 @@ COMMENT=	MySQL Data Dumper
 
 LICENSE=	GPLv3
 
-BUILD_DEPENDS=	${LOCALBASE}/bin/cmake:${PORTSDIR}/devel/cmake
 LIB_DEPENDS=	pcre:${PORTSDIR}/devel/pcre
 
 WRKSRC=		${WRKDIR}/${PORTNAME}-${PORTVERSION:S/a//}
 
 FETCH_ARGS?=	-pRr
-PLIST_FILES=	sbin/mydumper
+PLIST_FILES=	sbin/mydumper sbin/myloader
 USE_GNOME=	glib20
 USE_MYSQL=	yes
 USE_CMAKE=	yes
@@ -30,6 +26,6 @@ post-patch:
 	@${REINPLACE_CMD} -e 's|-Werror||' ${WRKSRC}/CMakeLists.txt
 
 do-install:
-	${INSTALL_PROGRAM} ${WRKSRC}/mydumper ${PREFIX}/sbin
+	${INSTALL_PROGRAM} ${WRKSRC}/mydumper ${WRKSRC}/myloader ${PREFIX}/sbin
 
 .include <bsd.port.mk>

Modified: head/databases/mydumper/pkg-descr
==============================================================================
--- head/databases/mydumper/pkg-descr	Sat Sep 22 05:51:27 2012	(r304664)
+++ head/databases/mydumper/pkg-descr	Sat Sep 22 07:10:59 2012	(r304665)
@@ -1,3 +1,3 @@
 How MySQL DBA & support engineer would imagine 'mysqldump' ;-)
 
-WWW:	https://launchpad.net/mydumper
+WWW: https://launchpad.net/mydumper
_______________________________________________
svn-ports-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/svn-ports-all
To unsubscribe, send any mail to "svn-ports-all-unsubscribe@freebsd.org"
Comment 6 Ruslan Makhmatkhanov freebsd_committer 2012-09-22 08:28:17 UTC
State Changed
From-To: feedback->closed

Committed, thank you!